Subject: [os2genau_digest] No. 896
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 24 Jul 2004 00:01:07 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 23 July 2004
 Number  896
**************************************************

Subjects for today
 
1  Re:  Win 16 : freiherr at earthlink dot net
2  Re:  wpsbkp and Checkini : Nicholas Lysaght" <nickl at pacific dot net dot au>
3  Re:  wpsbkp and Checkini : Nicholas Lysaght" <nickl at pacific dot net dot au>
4  Re:  Win 16 : John Angelico" <talldad at kepl dot com dot au>
5  Re:  Win 16 : Nicholas Lysaght" <nickl at pacific dot net dot au>
6  Re:  wpsbkp and Checkini : brianb at kdfisher dot com dot au

**= Email   1 ==========================**

Date:  Thu, 22 Jul 2004 10:10:42 -0400
From:  freiherr at earthlink dot net
Subject:  Re:  Win 16

On 07/22/04 at 09:48 PM, "Alan Duval" <amoht at ozemail dot com dot au> wrote:

>Hi,

>Just curious. Does anyone use Win 16 in OS/2 or eCs?
>I've never heard anyone talk about it and if no one uses it, wouldn't
>it be a good idea to petition Serenity to  get  rid of it?

I have no need for it, and simply didn't install it.  Still, I think
it should be kept as an option, "just in case."

Regards, 
Eric Schilke

Copyright (c) 2004.  All rights reserved.

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Fri, 23 Jul 2004 08:39:52 -0000
From:  "Nicholas Lysaght" <nickl at pacific dot net dot au>
Subject:  Re:  wpsbkp and Checkini

In response to a message sent 2004-07-22 18:26:21 +1000 (Thu) by "Ed Durrant" <edurrant at bigpond dot net dot au> about Re:  wpsbkp and Checkini:

Hi Ed.

> Thanks Nicholas,
>
>    Yes I think it's the same one - which version are you using please.

The one that came with eCs 1.0.

>
>   OK on the manual copy of the INI files - good idea and I will do this,
> however in the worst case, I also have archiving at boot up turned on and
> that copies the two ini files and several other critical files and the
> desktop away anyway.

No worries
>
>   By the way, I once had a smal utility that overwrote the install (X)
> archive with the current archive - I can't find this any more, does any one
> remember what this is called. I can do it manually of course, but the
> utility is a nice approach.

Can't help there. Sorry.

Regards

NICK
>
> Cheers/2
>
> Ed.
>
> Nicholas Lysaght wrote:
>
> > In response to a message sent 2004-07-21 21:26:18 +1000 (Wed) by "Ed
> Durrant" <edurrant at bigpond dot net dot au> about  wpsbkp and Checkini:
> >
> > Hi Ed.
> >
> > > Has anyone on this list used the checkini utility that comes
> > > in the wpsbkp package. I need to clean up my INI files and
> > > desktop and that can be disasterous if not done correctly !
> > >
> > > Cheers/2
> > >
> > > Ed.
> > >
> > >
> >
> > If it is CHECKINI that comes with WPTOOLS, yes I use it about once a
> fortnight. I find it works well, although there was a time recently when it
> couldn't get past backing up the Desktop. It was a worry for months, then it
> suddenly cleared, and has been fine ever since.
> >
> > If you haven't used this before, make a backup of your OS2.INI and
> OS2SYS.INI manually. The programme will do that for you in the first steps
> anyhow, but you may feel more comfortable doing it anyway. If you run
> CHECKINI by itself, it won't alter any files, but will give you an idea of
> what it does.
> >
> > When your ready to "take the plunge", run CHECKINI /C, and it will make
> the changes. According to Doug from Canada,if there's a lot to do, it may be
> worth it to run it again, to make sure everything is clear. When it
> finishes, it will reboot the desktop. To be sure, I do a warm reboot anyway.
> >
> > Anyhow in three years of running CHECKINI, only that snafu about 3
> months ago was a small worry, but it just righted itself anyway.
> >
> > Good luck
> >
> > NICK
> >
> > >
> ----------------------------------------------------------------------------
> > > ------
> > >  

> >
> ----------------------------------------------------------------------------
> ------
> >  
> > ===========================================
>
>
> ----------------------------------------------------------------------------
> ------
>  

----------------------------------------------------------------------------------
 
**= Email   3 ==========================**

Date:  Fri, 23 Jul 2004 08:42:52 -0000
From:  "Nicholas Lysaght" <nickl at pacific dot net dot au>
Subject:  Re:  wpsbkp and Checkini

In response to a message sent 2004-07-22 20:12:35 +1000 (EST) (Thu) by "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au> about Re:  wpsbkp and Checkini:

> On Thu, 22 Jul 2004 18:26:21 +1000, Ed Durrant wrote:
>
> >Thanks Nicholas,
> >
> >   Yes I think it's the same one - which version are you using please.
> >
> >  OK on the manual copy of the INI files - good idea and I will do this,
> however in the worst case, I also have archiving at boot up turned on and
> that copies the two ini files and several other critical files and the
> desktop away anyway.
>
> The later versions of CheckINI do this for you.
>
> CHECKINI version 2.46 (Mar 15 2000) - by Henk Kelder

Will look for the version number....ah! Definitely what you said. Thanks.

NICK
>
>
>
> -Chris
>
> WarpSpeed Computers - The Graham Utilities for OS/2.
> Voice:  +61-3-9307-0344   Internet:   chrisg at warpspeed dot com dot au
> FAX:    +61-3-9307-0633   Web Page:   http://www.warpspeed dot com dot au
> Postal: WarpSpeed Computers, PO Box 212, Brunswick, VIC 3056, AUSTRALIA
>
>
>
> ----------------------------------------------------------------------------
> ------
>  

----------------------------------------------------------------------------------
 
**= Email   4 ==========================**

Date:  Fri, 23 Jul 2004 10:28:13 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Win 16

On Thu, 22 Jul 2004 23:42:57 +1000 (EST), Chris Graham [WarpSpeed] wrote:

>
>>Hi,
>>
>>Just curious. Does anyone use Win 16 in OS/2 or eCs?
>>I've never heard anyone talk about it and if no one uses it, wouldn't it be a good idea to petition Serenity to 
>>get  rid of it?
>
>Word 6.0c works like a treat in it.

Uh, is that the last of the standalone versions of MS-Word before it got
buried in Office, or is that actually "WordPerfect" ?

My recommendation is to keep it available, backwards compatibility has always
been the archilles heel of MS, and an important product differentiation
factor. 

My accounting package runs fine in Win16, but it has a painful Install-Shield
installer with a combo of 32-bit wrapper, which needs Odin, but a 16bit stub,
plus CAB files for Win32 IIRC. It's a mess to try an install from it's own
CD.

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... Windows - About as useful as airbrakes on a turtle
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Fri, 23 Jul 2004 09:51:37 -0000
From:  "Nicholas Lysaght" <nickl at pacific dot net dot au>
Subject:  Re:  Win 16

In response to a message sent 2004-07-22 22:01:19 +1000 (Thu) by "Ed Durrant" <edurrant at bigpond dot net dot au> about Re:  Win 16:

Hi All.

>
>
> Alan Duval wrote:
>
> > Hi,
> >
> > Just curious. Does anyone use Win 16 in OS/2 or eCs?
> > I've never heard anyone talk about it and if no one uses it, wouldn't it
> be a good idea to petition Serenity to
> > get  rid of it?

> >
> > Regards
> >
> > Alan Duval
> >
>
>  Win16 support for old Win 3.1 programs is included in OS/2 Warp, what
> would be the advantage of dropping the
> option. If you don't want it, simply de-select it at install time - it's
> as simple as that.

Absolutely.
>
> I think there are several people still running Win16 (win 3.1) programs
> under OS/2.

I don't think it's a good idea to get rid of Win16. I came into OS/2 in April 1995, and all I had at the time was Win16 programmes. Many have dropped by the wayside, but a couple remain - e.g. Instant Office, absolutely perfect for Greeting Cards, World6 and Excel5, can be good if there's a migration problem for something I've received, Cadvance - a drawing programme (for someone who can't draw <G>), and others.

I don't think it would matter financially if it was there or not, so better to keep it.

>
> Cheers/2
>
> Ed.
>
>
> ----------------------------------------------------------------------------
> ------
>  

----------------------------------------------------------------------------------
 
**= Email   6 ==========================**

Date:  Fri, 23 Jul 2004 14:46:34 +1030
From:  brianb at kdfisher dot com dot au
Subject:  Re:  wpsbkp and Checkini

Ed,
I have used checkini for ages, it works well but can remove things
it should not, i.e. the startup folders in your archives get turned into
ordinary folders.

I run it with the /c and /r switches and when it asks for confirmation
I answer yes, it can be tedious if it has not been done for a long time
but is safer.

If you enable archiving at system startup before you run checkini
then when it restarts the WPS after completing its tasks a new archive
is created without needing to re-boot.

As for replacing the install (x) archive the tool is built in.
In the OS2 directory is a program called arcinst.exe
This is what the OS/2 installation runs.

Just run arcinst from a command prompt and your (x) archive
will be what you currently have.

-----------------------------------------
Brian Butler
System Administrator
brianb at kdfisher dot com dot au

                                                                                                                                     
                      Ed Durrant                                                                                                     
                      <edurrant at bigpond        To:       os2genau at os2 dot org dot au                                                         
                       dot net dot au>                 cc:                                                                                   
                                               Subject:  Re:  wpsbkp and Checkini                                          
                      22/07/2004 17:56                                                                                               
                      Please respond to                                                                                              
                      os2genau                                                                                                       

Thanks Nicholas,

   Yes I think it's the same one - which version are you using please.

  OK on the manual copy of the INI files - good idea and I will do this,
however in the worst case, I also have archiving at boot up turned on and
that copies the two ini files and several other critical files and the
desktop away anyway.

  By the way, I once had a smal utility that overwrote the install (X)
archive with the current archive - I can't find this any more, does any one
remember what this is called. I can do it manually of course, but the
utility is a nice approach.

Cheers/2

Ed.

Nicholas Lysaght wrote:

> In response to a message sent 2004-07-21 21:26:18 +1000 (Wed) by "Ed
Durrant" <edurrant at bigpond dot net dot au> about  wpsbkp and Checkini:
>
> Hi Ed.
>
> > Has anyone on this list used the checkini utility that comes
> > in the wpsbkp package. I need to clean up my INI files and
> > desktop and that can be disasterous if not done correctly !
> >
> > Cheers/2
> >
> > Ed.
> >
> >
>
> If it is CHECKINI that comes with WPTOOLS, yes I use it about once a
fortnight. I find it works well, although there was a time recently when it
couldn't get past backing up the Desktop. It was a worry for months, then
it suddenly cleared, and has been fine ever since.
>
> If you haven't used this before, make a backup of your OS2.INI and
OS2SYS.INI manually. The programme will do that for you in the first steps
anyhow, but you may feel more comfortable doing it anyway. If you run
CHECKINI by itself, it won't alter any files, but will give you an idea of
what it does.
>
> When your ready to "take the plunge", run CHECKINI /C, and it will make
the changes. According to Doug from Canada,if there's a lot to do, it may
be worth it to run it again, to make sure everything is clear. When it
finishes, it will reboot the desktop. To be sure, I do a warm reboot
anyway.
>
> Anyhow in three years of running CHECKINI, only that snafu about 3 months
ago was a small worry, but it just righted itself anyway.
>
> Good luck
>
> NICK
>
> >
----------------------------------------------------------------------------

> > ------
> >  
> 
>
----------------------------------------------------------------------------------

>  
> ===========================================

----------------------------------------------------------------------------------

----------------------------------------------------------------------------------